Bug 882116 - lxdm don't open openbox session
lxdm don't open openbox session
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 02:18 EST by Andy Clark
Modified: 2013-02-18 03:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 03:21:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Clark 2012-11-30 02:18:54 EST
Description of problem:
I am using a lxdm and openbox, and after last update, lxdm 
can't open openbox session.

Version-Release number of selected component (if applicable):
[avedischev@orion ~]$ rpm -qa | egrep "(xorg-x11-server|systemd)" | sort
systemd-196-1.fc19.x86_64
systemd-libs-196-1.fc19.x86_64
systemd-sysv-196-1.fc19.x86_64
xorg-x11-server-common-1.13.0-10.fc19.x86_64
xorg-x11-server-utils-7.5-14.fc18.x86_64
xorg-x11-server-Xephyr-1.13.0-10.fc19.x86_64
xorg-x11-server-Xorg-1.13.0-10.fc19.x86_64
[avedischev@orion ~]$ cat /etc/fedora-release 
Fedora release 19 (Rawhide)
[avedischev@orion ~]$ uname -a
Linux orion.aviales.local 3.7.0-0.rc7.git1.1.fc19.x86_64 #1 SMP Tue Nov 27 14:13:42 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[avedischev@orion ~]$

How reproducible:
you should have latest lxdm
[avedischev@orion ~]$ yum info lxdm
Loaded plugins: langpacks, presto, remove-with-leaves
Available Packages
Name        : lxdm
Arch        : x86_64
Version     : 0.4.1
Release     : 4.fc19
Size        : 130 k
Repo        : rawhide/x86_64
Summary     : Lightweight X11 Display Manager
URL         : http://lxde.org
License     : GPLv2+ and LGPLv2+
Description : LXDM is the future display manager of LXDE, the Lightweight X11 Desktop
            : environment. It is designed as a lightweight alternative to replace GDM or
            : KDM in LXDE distros. It's still in very early stage of development.

[avedischev@orion ~]$


Steps to Reproduce:
1. yum update
2. shutdown -r now
3. try to login your system 
  
Actual results:
After you enter your password, lxdm prompt window has disappeared, 
and openbox session cannot be opened

Expected results:
Openbox is running

Additional info:
workaround is next - remove lxdm from your system and install latest lightdm
(lightdm-1.4.0-3.fc19.x86_64 in my case)
Comment 1 Christoph Wickert 2013-02-17 17:49:58 EST
I cannot reproduce your problem. Are you sure the openbox session is selected? Is it started when you boot into runlevel 3 and run startx?

What sessions do you have in /usr/share/xsessions? Did you configure "openbox-session" in /etc/sysconfid/desktop?
Comment 2 Andy Clark 2013-02-17 21:25:39 EST
I am sorry, Christoph, but now i can not provide
additional information, because bug was appeared
in my workstation at previous job.
Comment 3 Christoph Wickert 2013-02-18 03:21:19 EST
Sorry for the late response.

Note You need to log in before you can comment on or make changes to this bug.